package com.ruoyi.system.service_shate.impl;

import com.ruoyi.system.domain_shate.PlantingSuitability;
import com.ruoyi.system.mapper_shate.PlantingSuitabilityMapper;
import com.ruoyi.system.service_shate.IPlantingSuitabilityService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/8 11:28
 */
@Service
public class PlantingSuitabilityServiceIpml implements IPlantingSuitabilityService {
    @Resource
    private PlantingSuitabilityMapper mapper;
    @Override
    public List<PlantingSuitability> sqlSeeding(String zone) {
        List<PlantingSuitability> value=mapper.sqlSeeding(zone);
        return value;
    }

    @Override
    public Integer InsertSeeding(PlantingSuitability suitability) {
        return mapper.InsertSeeding(suitability);
    }

    @Override
    public List<PlantingSuitability> sqlYear() {
        return mapper.sqlYear();
    }
}
